import {request} from '@/utils/request.js'

// 获取酒店列表搜索
export function queryNew(data) {
	return request({
		url: '/springbatchservice/dfy/hotel/queryNew',
		method:'post',
		data
	})
}

// 获取酒店列表
export function getHotelList(data) {
	return request({
		url: '/springbatchservice/dfy/hotel/hotelList',
		method:'post',
		data
	})
}

// 获取酒店详情
export function getHotelDetail(data) {
	return request({
		url: '/springbatchservice/dfy/hotel/hotelDetail',
		method:'post',
		data
	})
}

// 获取房间列表
export function getRoomList(data) {
	return request({
		url: '/springbatchservice/dfy/hotel/ratePlanInfo',
		method:'post',
		data
	})
}

// 创建酒店订单
export function addOrder(data) {
	return request({
		url: '/springbatchservice/dfy/hotel/addOrder',
		method:'post',
		data
	})
}

// 取消订单接口
export function cancelOrder(data) {
	return request({
		url: '/springbatchservice/dfy/hotel/cancelOrder',
		method:'post',
		data
	})
}